## mountall 0.2.6~boot1

=== Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/mountall
pkgincludedir = $(includedir)/mountall
pkglibdir = $(libdir)/mountall
pkglibexecdir = $(libexecdir)/mountall
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
	ABOUT-NLS COPYING compile config.guess config.rpath config.sub \
	depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/glibc2.m4 $(top_srcdir)/m4/glibc21.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
	$(top_srcdir)/m4/intl.m4 $(top_srcdir)/m4/intmax.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libs.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longdouble.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/misc.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/printf-posix.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/size_max.m4 \
	$(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/uintmax_t.m4 \
	$(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/m4/visibility.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = intl/Makefile
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run autoconf
AUTOHEADER = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run autoheader
AUTOMAKE = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run automake-1.11
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O0
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
DBUS_LIBS = -L/lib -ldbus-1 -lpthread -lrt  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXPAT_LIBS = -lexpat
FGREP = /bin/grep -F
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = mountall
PACKAGE_BUGREPORT = ubuntu-devel@lists.ubuntu.com
PACKAGE_COPYRIGHT = Copyright © 2009 Canonical Ltd.
PACKAGE_NAME = mountall
PACKAGE_STRING = mountall 0.2
PACKAGE_TARNAME = mountall
PACKAGE_URL = 
PACKAGE_VERSION = 0.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UDEV_CFLAGS =  
UDEV_LIBS = -ludev  
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.2
VERSION_SCRIPT_ARG = -Wl,--version-script
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
abs_builddir = /home/scott/work/native-upstart/mountall
abs_srcdir = /home/scott/work/native-upstart/mountall
abs_top_builddir = /home/scott/work/native-upstart/mountall
abs_top_srcdir = /home/scott/work/native-upstart/mountall
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = 
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/scott/work/native-upstart/mountall/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var/lib
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = po m4 intl nih nih-dbus nih-dbus-tool dbus src conf man po
EXTRA_DIST = config.rpath ChangeLog.nih
ACLOCAL_AMFLAGS = --install -I m4
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
intl/Makefile: $(top_builddir)/config.status $(top_srcdir)/intl/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \

=== debian/changelog ===
mountall (0.2.6~boot1) karmic; urgency=low

  * Fix the bug where we never realise that we're down, because the
    fact the filesystem is mounted is updated from /proc/self/mountinfo
    rather than internally.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 21 Oct 2009 00:19:35 +0100

mountall (0.2.5) karmic; urgency=low

  * Filesystem check progress reporting, including cancellation.  LP: 446596.
  * When we're waiting for a mountpoint, if a few seconds of inactivity
    passes, report what we're waiting for and allow Escape to drop you to
    a recovery shell.
  * Start usplash for filesystem check progress reporting or when we've
    been waiting for more than a few seconds.  LP: #431184.

  * Hide error removing /forcefsck, people mis-report this as a bug and
    don't tell us the error above it.
  * Don't call mount.ecryptfs or mount.aufs when adding an entry for
    /etc/mtab; these helpers are broken and do not support the -f argument.
    This means your passphrase may end up in /etc/mtab, blame them not me.
    LP: #431954, #443080.
  * Unlink /etc/mtab~ after creating/truncating /etc/mtab and before writing
    mtab entries.  LP: #431865.
  * Stop the recovery shell if the user runs shutdown within it, so we
    don't run mountall again.  LP: #452196.
  * If the root filesystem check fails, we'll need to reboot, so just have
    the recovery shell script do that.

  * Post-review logic fixes.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 20 Oct 2009 12:19:16 +0100

mountall (0.2.2) karmic; urgency=low

  [ Steve Langasek ]
  * Don't emit the local-filesystem signal until after virtual filesystems
    are also done mounting.  LP: #448981.

  [ Robert Gerlach ]
  * Fix segfault when root filesystem missing from fstab, or listed
    as /dev/root.  LP: #448323.

  [ Johan Kiviniemi ]
  * Don’t queue filesystem check when either device or type is "none".

  [ Scott James Remnant ]
  * Removed /srv from the list of "essential" mountpoints.  LP: #448267.
  * Allow overriding of the above list by using the "bootwait" and
    "nobootwait" fstab options, e.g.

    LABEL=foo /home ext4 nobootwait 0 0

  * Mount /proc before attempting to parse /proc/filesystems.  LP: #447947.
  * Further improvements to event tagging of filesystems.  A virtual bootwait
    filesystem underneath a local or remote filesystem inherits that tag,
    a local bootwait filesystem underneath a remote filesystem inherits that
    tag, remote filesystems do not inherit them.  LP: #447654.

  * Replace previous hardcoded "arch specific" flag for /spu with an
    "optional" fstab mount option.
  * Made binfmt_misc,fusectl, debugfs, securityfs and /lib/init/rw optional
    as well.
  * Check whether the mountpoint of optional fstab entries exists before
    trying to mount, and skip over that if it doesn't.  LP: #447525.

  * Keep /proc/self/mountinfo open, if it changes while we're running,
    update the knowledge of the mount table and what's mounted.  That
    way if something else mounts it while mountall running, you'll still
    get events and mountall will still exit.
  * Try mounts again if another network device comes up while we were
    waiting.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Oct 2009 02:17:47 +0100

mountall (0.2.1) karmic; urgency=low

  * Make mountall recognize that *remote* filesystems are still remote, given
    that their parent fs is almost always local.  LP: #447654.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Oct 2009 19:17:42 -0700

mountall (0.2.0) karmic; urgency=low

  [ Colin Watson ]
  * Always check the root filesystem if --force-fsck is used, regardless of
    passno.  LP: #435707.

  [ Johan Kiviniemi ]
  * Have each fsck instance create a lock for each underlying physical device.
    If you have a single disk or RAID, all filesystem checks will happen
    sequentially in order to avoid thrashing.  On more complex configurations,
    you’ll benefit from the parallel checks mountall has been doing all along.
    LP: #434974.

  [ Scott James Remnant ]
  * Flush standard output and error before spawning processes to make
    capturing logs easier (otherwise we end up repeating things still in
    the buffer), and before calling exec().
  * Turn the code upside down so that each mount knows what it's waiting
    for, and allow multiple dependencies.  This makes the code much more
    readable putting the "policy" in a single function, and will make it
    much easier in future when this is done by Upstart.
  * For kernel filesystems listed in fstab, honour the order that they
    are listed in fstab.  LP: #432571, #433537, #436796
  * Always create new swap partition mounts for each fstab entry, don't
    treat them as updating the same.  LP: #435027.
  * Virtual filesystems under local or remote filesystems (and local under
    remote) don't delay the virtual or local events.  LP: #431040.
  * Simplify event emission, this has the advantage that we can now output
    what mount points we're waiting for and what they are waiting for as
    well.
  * Fixed issue with trailing slashes.  LP: #443035.
  * Only run hooks if the filesystem was not already mounted.  LP: #444252.
  * Don't clean up /tmp when run without --tmptime argument.
  * Ignore loop and ram devices until ready.  LP: #441454.
  * Add options to binfmt_misc filesystem, which will probably cause it to
    be mounted on boot as well.
  * Synchronously mount local and virtual filesystems, I suspect this is
    the real cause behind the XFS races as one will modprobe and the other
    will not (and fail).  LP: #432620.
  * Synchronously activate swap to avoid out of memory issues when checking
    the root filesystem.
  * Enumerate existing udev devices on startup, so we don't always have to
    see udev be coldplugged.
  * Don't break on general errors for non-essential filesystems.
    LP: #441144.
  * Don't repeat attempts to mount a filesystem without having first


## mountall 1.0

=== debian/changelog ===
mountall (1.0) karmic; urgency=low

  [ Kees Cook ]
  * Call out to restorecon after mounting tmpfs filesystems.  LP: #456942.

  [ Johan Kiviniemi ]
  * Fix a bug introduced by the 0.2.6 change. In certain situations, we’d
    quit even though we’re still waiting for some filesystems to be
    mounted.  LP: #456806.

  [ Scott James Remnant ]
  * Don't clear the splash screen when we're waiting for filesystems,
    instead just output following whatever else is there.  In non-verbose
    mode this won't look any different, but it means we don't clear previous
    verbose mode text.  LP: #458389.
  * Only update the "waiting for one or more mounts" text if there's actually
    a change in the set we're waiting for; this removes the need for a CLEAR
    this case anyway.
  * Don't say we're waiting for mounts we're, in fact, not waiting
    for.  LP: #459859.
  * Stop mountall (normally) when entering recovery mode.  LP: #458060.

  * Clean up source tarball.  LP: #460348.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 26 Oct 2009 09:30:41 +0000

mountall (0.2.6) karmic; urgency=low

  * Fix the bug where we never realise that we're down, because the
    fact the filesystem is mounted is updated from /proc/self/mountinfo
    rather than internally.  LP: #456806.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 21 Oct 2009 16:19:36 +0100

## mountall 1.0keremeos1

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
+build_triplet = i486-pc-linux-gnu
+host_triplet = i486-pc-linux-gnu
 subdir = .
 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
@@ -122,19 +122,19 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/scott/work/mountall/mountall/missing --run aclocal-1.11
 ALLOCA = 
-AMTAR = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run tar
+AMTAR = ${SHELL} /home/scott/work/mountall/mountall/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run automake-1.11
-AWK = gawk
+AUTOCONF = ${SHELL} /home/scott/work/mountall/mountall/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/scott/work/mountall/mountall/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/scott/work/mountall/mountall/missing --run automake-1.11
+AWK = mawk
 BUILD_INCLUDED_LIBINTL = no
 CATOBJEXT = .gmo
 CC = gcc -std=gnu99
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O0
+CFLAGS = -Wall -g -fstack-protector -fPIE -Os
 CFLAG_VISIBILITY = -fvisibility=hidden
 CPP = gcc -E
 CPPFLAGS = 
@@ -175,8 +175,8 @@
 INTLOBJS = 
 INTL_LIBTOOL_SUFFIX_PREFIX = 
 INTL_MACOSX_LIBS = 
-LD = /usr/bin/ld -m elf_x86_64
-LDFLAGS = 
+LD = /usr/bin/ld
+LDFLAGS = -Wl,-z,relro -Wl,-z,now -pie -Wl,-O1
 LIBICONV = 
 LIBINTL = 
 LIBMULTITHREAD = -lpthread
@@ -193,11 +193,12 @@
 LTLIBOBJS = 
 LTLIBPTH = 
 LTLIBTHREAD = 
-MAKEINFO = ${SHELL} /home/scott/work/native-upstart/mountall/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/scott/work/mountall/mountall/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 MSGFMT = /usr/bin/msgfmt
 MSGFMT_015 = /usr/bin/msgfmt
 MSGMERGE = /usr/bin/msgmerge
+NIH_DBUS_TOOL = ${top_builddir}/nih-dbus-tool/nih-dbus-tool
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -208,10 +209,10 @@
 PACKAGE_BUGREPORT = ubuntu-devel@lists.ubuntu.com
 PACKAGE_COPYRIGHT = Copyright © 2009 Canonical Ltd.
 PACKAGE_NAME = mountall
-PACKAGE_STRING = mountall 0.2
+PACKAGE_STRING = mountall 1.0
 PACKAGE_TARNAME = mountall
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.2
+PACKAGE_VERSION = 1.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 POSUB = po
@@ -225,15 +226,15 @@
 UDEV_LIBS = -ludev  
 USE_INCLUDED_LIBINTL = no
 USE_NLS = yes
-VERSION = 0.2
+VERSION = 1.0
 VERSION_SCRIPT_ARG = -Wl,--version-script
 WOE32DLL = no
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
-abs_builddir = /home/scott/work/native-upstart/mountall
-abs_srcdir = /home/scott/work/native-upstart/mountall
-abs_top_builddir = /home/scott/work/native-upstart/mountall
-abs_top_srcdir = /home/scott/work/native-upstart/mountall
+abs_builddir = /home/scott/work/mountall/mountall
+abs_srcdir = /home/scott/work/mountall/mountall
+abs_top_builddir = /home/scott/work/mountall/mountall
+abs_top_srcdir = /home/scott/work/mountall/mountall
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -242,26 +243,26 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
-build_alias = 
-build_cpu = x86_64
+build = i486-pc-linux-gnu
+build_alias = i486-linux-gnu
+build_cpu = i486
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = 
-host = x86_64-unknown-linux-gnu
+host = i486-pc-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = i486
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/scott/work/native-upstart/mountall/install-sh
+install_sh = ${SHELL} /home/scott/work/mountall/mountall/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== debian/changelog ===
mountall (1.0keremeos1) karmic; urgency=low

  * src/mountall.c: Flush dbus connection before exiting, to avoid race
    that could prevent events like 'filesystem' from being emitted.
    Thanks to Scott James Remnant for the fix.

 -- Steve Magoun <steve.magoun@canonical.com>  Fri, 05 Mar 2010 20:13:58 -0500

=== debian/control ===
Source: mountall
Section: admin
Priority: required
Maintainer: Scott James Remnant <scott@ubuntu.com>
Standards-Version: 3.8.0.0
Build-Depends: debhelper (>= 7.3.15ubuntu2~boot7), pkg-config (>= 0.22), libdbus-1-dev (>= 1.2.16), libexpat1-dev (>= 2.0.0), libudev-dev (>= 146)
Vcs-Bzr: lp:~ubuntu-core-dev/ubuntu/karmic/mountall/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu/karmic/mountall/ubuntu

Package: mountall
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: upstart (<< 0.6.3-2)
Breaks: usplash (<< 0.5.47)
Description: filesystem mounting tool
 mountall mounts filesystems when the underlying block devices are
 ready, or when network interfaces come up, checking the filesystems
 first.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the mountall package.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -Wall -g -fstack-protector -fPIE
LDFLAGS = -Wl,-z,relro -Wl,-z,now -pie

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	LDFLAGS += -Wl,-O0
else
	CFLAGS += -Os
	LDFLAGS += -Wl,-O1
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

CHECK_VARS =
ifeq ($(DEB_HOST_ARCH),armel)
CHECK_VARS += CFLAGS="$(filter-out -fPIE,$(CFLAGS))"
endif


# Build the package
build: build-stamp
build-stamp:
	dh_testdir

	./configure $(confflags) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		--prefix=/usr \
		--exec-prefix= \
		--sysconfdir=/etc \
		--localstatedir=/var/lib

	$(MAKE)
	touch $@

# Install the package underneath debian/tmp
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp

	-$(MAKE) clean distclean
	dh_clean 


.PHONY: build install binary-indep binary-arch binary clean

## mountall 2.14

=== debian/changelog ===
mountall (2.14) lucid; urgency=low

  [ Scott James Remnant ]
  * Flush updates to Plymouth before emitting Upstart events, in case
    the event kills Plymouth.  LP: #559761.
  * Don't mark a filesystem "nodev" just because it's got "none" in the
    device column; this will block the "virtual-filesystems" event which
    is the one that can't use Plymouth to prompt.  LP: #507881.
  * When cancelling in-progress fsck, don't deference the NULL mount
    record.  LP: #562811.
  * mountall is missing a very important line of code that increases the
    udev buffer size; without this it's possible we may miss events during
    busy periods.  LP: #561390.

  [ Steve Langasek ]
  * If we're not marking all nodev filesystems as virtual, we need to
    at least mark our placeholder filesystem entries (type=none && dev=none)
    this way.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Apr 2010 23:36:01 +0100

mountall (2.13) lucid; urgency=low

  [ Scott James Remnant ]
  * Once a mountpoint has been skipped, don't try and mount it again
    (unless the udev device actually shows up).  LP: #553290.
  * Skipping a filesystem means we should also skip anything that depends
    on that (ie. skip /usr/local when skipping /usr).
  * Don't skip filesystems due to timeout when Plymouth not available.

  * Don't run mount, swapon or fsck while there's an uncleared error on
    the filesystem.  LP: #501801.

  * Don't display the filesystem check message when an fsck completes
    without needing to check the filesystem.  LP: #564434.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Apr 2010 00:15:58 -0700

mountall (2.12) lucid; urgency=low

  [ Scott James Remnant ]
  * Generate mountall.pot file at build-time, rather than shipping a
    hopelessly out of date copy in the source package.  LP: #559997.

  [ Colin Watson ]
  * Fix typo in "Press C" message.

  [ Alberto Milone ]
  * Pass a localised string to plymouth in plymouth_progress (LP: #553954).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Apr 2010 08:42:10 +0000

mountall (2.11) lucid; urgency=low

  [ Scott James Remnant ]
  * conf/mounted-*.conf: Add defaults for $MOUNTPOINT just in case somebody
    tries to run this by hand.  LP: #557177.

  [ Dustin Kirkland ]
  * conf/mounted-varrun.conf: drop initial motd creation, as this is now
    handled entirely dynamically by /etc/update-motd.d/* scripts, with
    this part specifically handled by base-files's 00-header,
    LP: #516293

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 09 Apr 2010 13:50:29 -0500

mountall (2.10) lucid; urgency=low

  * Rework the Plymouth connection logic; one needs to attach the client to
    the event loop *after* connection otherwise you don't get disconnection
    notification, and one needs to actually actively disconnect in the
    disconnection handler.
  * For safety and sanity reasons it becomes much simpler to create the
    ply_boot_client when we connect, and free it on disconnection.  Thus the
    presence or not of this struct tells us whether we're connected or not.
    LP: #524708.
  * Flush the plymouth connection before closing it and exiting, otherwise
    updates may be pending and the screen have messages that confuse people
    while X is starting (like fsck at 90%).  LP: #487744.

  * Replace the modal plymouth prompt for error conditions with code that
    continues working in the background while prompting.  This most benefits
    the old "Waiting for" message, which can now allow you to continue to
    wait and it can solve itself.  LP: #527666, #545435.
  * Integrate fsck progress updates into the same mechanism.
  * Allow fsck messages to be translated.  LP: #390740.
  * Change fsck message to be a little less alarming.  LP: #545267.
  * Add hard dependency on Plymouth; without it running, mountall will
    ignore any filesystem which doesn't show up within a few seconds or that
    fails to fsck or mount.  If you don't want graphical splash, you simply
    need not install themes.

  * Improve set of messages seen with --verbose, and ensure all visible
    messages are marked for translation.  LP: #446592.
  * Reduce priority of failed to mount error for remote filesystems since
    we try again, and this just spams the console.  LP: #504224. 

  * Keep hold of the dev_t when parsing /proc/self/mountinfo, then after
    mounting /dev (or seeing that it's mounted) create a quick udev rules
    file that adds the /dev/root symlink to this device.  LP: #527216.
  * Do not try and update /etc/mtab when it's a symbolic link.  LP: #529993.
  * Remove odd -a option from mount calls, probably a C&P error from the
    fsck code long ago.  LP: #537135.
  * Wait for Upstart to acknowledge receipt of events, even if we don't
    hang around for them to be handled.
  * Always run through try_mounts() at least once.  LP: #537136.
  * Don't keep mountall running if the only remaining unmounted filesystems
  * 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 31 Mar 2010 19:37:31 +0100

mountall (2.9) lucid; urgency=low

  * debian/control: per Scott, don't use pre-depends anymore, just regular
    depends.  LP: #540091.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Mar 2010 11:58:20 -0700

mountall (2.8) lucid; urgency=low

  * src/mountall.c:
    - Flush the D-Bus connection queue before exiting, otherwise we can
      end up leaving important events like "filesystem" in the memory queue
      without ever sending it on the socket.  LP: #533054.
    - Move the message about disks being checked here from plymouth.
  * configure.ac:
    - Now that it's upstream, there's a proper ply-boot-client.pc file for
      the boot client library we want.
  * src/Makefile.am:
    - Which means we don't need to manually include -lplybootclient (the
      library changed names anyway)
  * debian/control:
    - Bump build-dependency

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 12 Mar 2010 18:22:51 +0000



## mountall 2.15

=== debian/changelog ===
mountall (2.15) lucid-proposed; urgency=low

  [ Scott James Remnant ]
  * Fix an obvious thinko error that meant that the "I"gnore fsck error key
    for a "hard" failure was ignored.
  * When cancelling filesystem checks, only cancel those that are actually
    checking filesystems; otherwise those that are merely verifying the
    superblock will return an "unrecoverable error" rather than "cancelled".
    LP: #577331.

  [ Steve Langasek ]
  * Only send plymouth a progress update when there's actual progress to
    report; otherwise we flood plymouthd with redundant events, and the
    progress will spin for minutes after the fsck itself is finished.  Thanks
    to Tero Mononen and Anders Kaseorg for the patch.  LP: #571707.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 09 May 2010 01:04:24 +0200

## mountall 2.15.2

=== debian/changelog ===
mountall (2.15.2) lucid-security; urgency=low

  * SECURITY UPDATE: do not leave writable udev rules file around.
    - src/mountall.c: set umask correctly (LP: #591807).
    - debian/preinst: remove boot-time udev rules file.
    - CVE-2010-2961

 -- Kees Cook <kees@ubuntu.com>  Wed, 01 Sep 2010 15:30:44 -0700

mountall (2.15.1) lucid-proposed; urgency=low

  * conf/mountall.conf: set $LANG so that messages appearing in plymouth are
    translated (LP: #569365); this is a temporary workaround until upstart is
    fixed to pass the appropriate env vars to all init scripts

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 24 Aug 2010 20:47:33 +0200

## mountall 2.15.2common0hedley1

=== debian/changelog ===
mountall (2.15.2common0hedley1) lucid; urgency=low

  * Merge with lucid-security.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 30 Sep 2010 15:40:55 +0200

mountall (2.15.1common0hedley2) lucid; urgency=low

  * Add conf/mounted-varlog.conf: Create /var/log/apt/ (LP: #625493), since apt
    does not do that by itself. Also create /var/log/gdm/ to avoid some gdm
    error messages (it does create the directory by itself, though).

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 30 Sep 2010 11:16:06 +0200

mountall (2.15.1common0hedley1) lucid; urgency=low

  * debian/control: Add Vcs-Bzr: for hedley branch. Branched from
    lp:ubuntu/lucid/mountall.
  * src/fstab: Mount /tmp/ and /var/log/ as tmpfs. (LP: #627012)

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 02 Sep 2010 13:54:52 +0200

=== debian/control ===
Source: mountall
Section: admin
Priority: required
Maintainer: Scott James Remnant <scott@ubuntu.com>
Standards-Version: 3.8.0.0
Build-Depends: debhelper (>= 7.3.15ubuntu2~boot7), pkg-config (>= 0.22), libnih-dev (>= 1.0.0), libnih-dbus-dev (>= 1.0.0), nih-dbus-tool (>= 1.0.0), libdbus-1-dev (>= 1.2.16), libexpat1-dev (>= 2.0.0), libudev-dev (>= 146), libplymouth-dev (>= 0.8.1-3)
Vcs-Bzr: lp:~hedley-team/hedley/mountall

Package: mountall
Architecture: any
Depends: makedev, udev, plymouth, coreutils (>= 7.1), ${shlibs:Depends}, ${misc:Depends}
Replaces: upstart (<< 0.6.3-2)
Breaks: usplash (<< 0.5.47), policycoreutils (<< 2.0.69-2ubuntu4)
Description: filesystem mounting tool
 mountall mounts filesystems when the underlying block devices are
 ready, or when network interfaces come up, checking the filesystems
 first.

## mountall 2.15.3

=== debian/changelog ===
mountall (2.15.3) lucid-proposed; urgency=low

  [ Colin Watson ]
  * Fix infinite loop when one of mountall's private mount options is
    followed by a comma, and guard against other reasons why cut_options
    might end up comparing a zero-length option (LP: #649591).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 30 Sep 2010 03:35:23 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Scott James Remnant <scott@ubuntu.com>
 Standards-Version: 3.8.0.0
 Build-Depends: debhelper (>= 7.3.15ubuntu2~boot7), pkg-config (>= 0.22), libnih-dev (>= 1.0.0), libnih-dbus-dev (>= 1.0.0), nih-dbus-tool (>= 1.0.0), libdbus-1-dev (>= 1.2.16), libexpat1-dev (>= 2.0.0), libudev-dev (>= 146), libplymouth-dev (>= 0.8.1-3)
-Vcs-Bzr: lp:~hedley-team/hedley/mountall
 
 Package: mountall
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@


CFLAGS = -Wall -g -fstack-protector -fPIE
LDFLAGS = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -pie

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	LDFLAGS += -Wl,-O0
else
	CFLAGS += -Os
	LDFLAGS += -Wl,-O1
endif

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		--exec-prefix=
	make -C po update-po

## mountall 2.19

=== debian/changelog ===
mountall (2.19) maverick; urgency=low

  * Fix infinite loop when one of mountall's private mount options is
    followed by a comma, and guard against other reasons why cut_options
    might end up comparing a zero-length option (LP: #649591).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Sep 2010 09:35:11 +0100

mountall (2.18) maverick; urgency=low

  [ Dustin Kirkland ]
  * conf/mounted-varrun.conf: seed /var/run/motd on boot, to ensure that
    initial logins are quick, LP: #587858

  [ Steve Langasek ]
  * Don't check /etc/environment for locale settings; this is an obsolete
    usage we transitioned away from years ago.
  * Add LC_ALL to the list of exported locale variables.

  [ Colin Watson ]
  * Flush standard output and error before daemonising, so that we don't get
    three copies of our early debug output.
  * If a mountpoint is a symlink to another mountpoint, add a dependency on
    the link target rather than trying to mount it again and failing
    (LP: #541512).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 10:52:20 +0100

mountall (2.17) maverick; urgency=low

  * SECURITY UPDATE: do not leave writable udev rules file around.
    - src/mountall.c: set umask correctly (LP: #591807).
    - debian/preinst: remove boot-time udev rules file.
    - CVE-2010-2961

 -- Kees Cook <kees@ubuntu.com>  Wed, 01 Sep 2010 15:20:14 -0700

mountall (2.16) maverick; urgency=low

  * conf/mountall.conf: set $LANG so that messages appearing in plymouth are
    translated (LP: #569365); this is a temporary workaround until upstart is
    fixed to pass the appropriate env vars to all init scripts

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 24 Aug 2010 20:47:33 +0200

## mountall 2.25ubuntu1

=== debian/changelog ===
mountall (2.25ubuntu1) natty; urgency=low

  * Fixed two errors found while browsing the code: 1) find_mount("/") returns
    NULL when / is not found, so cannot access root->mounted. 2) the
    information message about the dev_wait_timeout should be printed after
    dev_wait_timeout is initialized properly.

 -- Surbhi Palande <surbhi.palande@canonical.com>  Wed, 13 Apr 2011 12:59:22 +0300

mountall (2.25) natty; urgency=low

  * src/mountall.c: ignore ureadahead's potential mount of
    /var/lib/ureadahead/debugfs (LP: #736512).

 -- Kees Cook <kees@ubuntu.com>  Sat, 19 Mar 2011 16:46:02 -0700

mountall (2.24) natty; urgency=low

  [ Colin Watson ]
  * Update mountall's version number; it was last updated at 2.15.

  [ Surbhi Palande ]
  * Added a command line option dev-wait-time which specifies the time that
    mountall needs to wait for a device to get ready. The default value for the
    wait is 30 seconds.
    (LP: #595904)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 07 Mar 2011 16:50:04 -0800

mountall (2.23) natty; urgency=low

  * conf/mounted-proc.conf: switch sensitive entries in /proc to be
    mode 0400 to help slightly resist certain kernel heap attacks.

 -- Kees Cook <kees@ubuntu.com>  Mon, 07 Mar 2011 10:12:18 -0800

mountall (2.22) natty; urgency=low

  * conf/mounted-debugfs.conf: since this filesystem should not be used on
    production systems (https://lkml.org/lkml/2011/2/22/372) we should
    transition to removing it. As a first step, make the tree only
    accessible to the root user.

 -- Kees Cook <kees@ubuntu.com>  Tue, 22 Feb 2011 13:25:25 -0800

mountall (2.21) natty; urgency=low

  * conf/mounted-tmp.conf: find is needed from /usr, so delay this and
    try again when /usr is mounted. LP: #655447

 -- Clint Byrum <clint@ubuntu.com>  Fri, 04 Feb 2011 15:47:59 -0800

mountall (2.20+nmu1) natty; urgency=low

  * Non-maintainer upload.
  * src/mountall Change an output string to be grammatically correct;
    (thanks, Julie Lyrae; LP: #685009).

 -- Chris Wilson <afrowildo@gmail.com>  Wed, 15 Dec 2010 19:50:48 +0000

mountall (2.20) natty; urgency=low

  * Don't try to remove /dev/.udev/rules.d/root.rules when running inside
    fakechroot (thanks, Piotr Roszatycki; LP: #675269).
  * Consider gfs2 filesystems to be remote (thanks, Steve Wilson;
    LP: #582278).
  * Consider ceph filesystems to be remote (thanks, Ravi Pinjala;
    LP: #677960).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Nov 2010 16:44:44 +0000

## mountall 2.31

=== debian/changelog ===
mountall (2.31) oneiric; urgency=low

  * Added com.ubuntu.Mountall.server interface. Implemented the mntctl command
    with 4 commands: 1. StopTimer 2. RestartTimer 3. ChangeMountDevice 4.
    Version.
  * Fixed the coding style bugs in the "timeout" option related code. Also
    removed a break from the is_device_ready () to get the "device-not-ready"
    event for all the devices which are marked with the timeout option and
    which are not ready by the time the timer expires.
  * Added debian/initramfs/Makefile.am to install mountall.initramfs-hook as
    an initramfs hook that installs mntctl, mountall and other files needed by
    an event driven initramfs. Also added
    debian/initramfs/upstart-jobs/Makefile.am to install the upstart-jobs
    related to mountall in the event driven initramfs. The current
    mountall.conf execute as an upstart job in place of the "local" script in
    the non-event driven initramfs
    
 -- Surbhi Palande <surbhi.palande@canonical.com>  Fri, 15 Jul 2011 13:32:33 +0100

mountall (2.30) oneiric; urgency=low

  * conf/mounted-dev.conf: Stop copying /lib/udev/devices/. udevd already does
    that, and with devtmpfs it's obsolete now anyway.
  * conf/mounted-dev.conf: Create a /dev/shm → /run/shm symlink, while our
    eglibc is still looking for it in /dev/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Jul 2011 09:14:15 +0200

mountall (2.29) oneiric; urgency=low

  * Don't actually try to migrate /var/run in /etc/init/mounted-run.conf,
    since / isn't guaranteed to be mounted read-write at the time /run is
    mounted.  Handle this in the initscripts shutdown scripts instead.
  * Handle clean up of the obsolete /etc/init/mounted-varrun.conf conffile.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 23:53:09 +0000

mountall (2.28) oneiric; urgency=low

  [ Colin Watson ]
  * Mount /run, /run/lock, and /run/shm rather than /var/run, /var/lock, and
    /var/shm.  Handle migration of the old locations to symlinks.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 13:30:31 -0700

mountall (2.27) oneiric; urgency=low

  * Resolve wording error when checking disks.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Jul 2011 12:46:36 +0200

mountall (2.26) oneiric; urgency=low

  * Correct grammar on user-visible strings
    (LP: #572016)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 07 Jun 2011 12:16:22 -0700

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 Package: mountall
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: makedev, udev, plymouth, coreutils (>= 7.1), ${shlibs:Depends}, ${misc:Depends}
 Replaces: upstart (<< 0.6.3-2)
-Breaks: usplash (<< 0.5.47), policycoreutils (<< 2.0.69-2ubuntu4)
+Breaks: usplash (<< 0.5.47), policycoreutils (<< 2.0.69-2ubuntu4), initscripts (<< 2.88dsf-13.3)
 Description: filesystem mounting tool
  mountall mounts filesystems when the underlying block devices are
  ready, or when network interfaces come up, checking the filesystems

## mountall 2.36

=== debian/changelog ===
mountall (2.36) precise; urgency=low

  * If no specific fsck.* checker is found for a given filesystem type
    (except for a short list where we know that checkers really should be
    present), skip checking that filesystem rather than emitting scary error
    messages (LP: #838091).  This duplicates some logic from 'fsck -A', but
    that seems reasonable given mountall's purpose.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2012 18:58:16 +0100

mountall (2.35) precise; urgency=low

  * conf/mounted-tmp.conf: Mount an 1 MiB tmpfs on /tmp/ if /tmp has less than
    1 MB of space, so that booting has a chance of succeeding with a full
    disk. Ubuntu up to 8.04 LTS already had this, but this got lost in
    between. (LP: #932598)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Mar 2012 11:57:29 +0100

mountall (2.34) precise; urgency=low

  * Change conf/mounted-debugfs.conf to run the chmod in a || true.
    This is to avoid showing an "Event failed" message in containers
    where apparmor denies access to /sys/kernel/debug.
    Having that job always success shouldn't make any difference as it's
    not running anything after that chmod and /sys/kernel/debug is indeed
    mounted.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 15 Feb 2012 12:54:40 -0500

mountall (2.33) precise; urgency=low

  * Mark mountall as Multi-Arch: foreign to allow for upstart to be
    installable with multi-arch (needed for armhf containers on x86)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Feb 2012 13:09:51 -0500

mountall (2.32) precise; urgency=low

  [ Steve Langasek ]
  * Drop /lib/init/rw from /lib/init/fstab, since this is now always a symlink
    to /run.

  [ James Hunt ]
  * src/mountall.c: mounted(): Add cast to appease gcc 4.6.2.

  [ Stéphane Graber ]
  * src/mountall.c: mount_policy(): Ignore mount points if there is already a
    mounted child (required for lxc(7) to ignore mounts such as /dev). 

 -- James Hunt <james.hunt@ubuntu.com>  Thu, 05 Jan 2012 16:07:12 +0000
